services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: true

  TYPOworx\TnmAssetPublisher\:
    resource: '../Classes/*'
    exclude: '../Classes/Domain/Model/*'

  TYPOworx\TnmAssetPublisher\EventListener\AssetRenderer\MediaAssets:
    arguments:
      $allowDefaultGFX: false
      $allowedExtensions: []
      $ignoredPattern: []
    tags:
      - name: event.listener
        identifier: typoworx/tnm-asset-publisher/cache-warmup-event/AssetsGarbageCollector
        event: TYPO3\CMS\Core\Cache\Event\CacheWarmupEvent
      - name: event.listener
        identifier: typoworx/tnm-asset-publisher/cache-flush-event/InjectAssets
        event: TYPO3\CMS\Core\Cache\Event\CacheFlushEvent
      - name: event.listener
        identifier: typoworx/tnm-asset-publisher/asset-post-processing/InjectAssets
        event: TYPO3\CMS\Core\Page\Event\BeforeStylesheetsRenderingEvent
